Package com.documentum.operations

# Interface IDfCheckinNode

All Superinterfaces:
  `IDfOperationNode`

public interface IDfCheckinNode extends IDfOperationNode
Represents a node in a check in operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `enableOLELinksProcessing(boolean shouldProcessOLELinks)`
  Enables processing of OLE links.
  `int`
  `getCheckinVersion()`
  Returns an integer indicating how versioning should be handled on check in.
  `int`
  `getContentPageNumber()`
  Returns the content page number for the local content file for this object.
  `String`
  `getDefaultFormat()`
  Returns the default repository format name for the local content file of this object.
  `String`
  `getExternalVariable(String varName)`
  Returns the value of an external variable.
  `String`
  `getFilePath()`
  Returns the content file path in the local file system for this node.
  `String`
  `getFormat()`
  Returns the repository format name for the local content file of this object.
  `boolean`
  `getKeepLocalFile()`
  Returns a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
  `int`
  `getMacOption()`
  Returns the setting for Mac handling for this node.
  `String`
  `getMacResourceFilePath()`
  Returns the file path to the resource fork.
  `IDfSysObject`
  `getNewObject()`
  Returns the new IDfSysObject resulting from the check in.
  `IDfId`
  `getNewObjectId()`
  Returns the new repository object ID for the IDfSysObject resulting from the check in.
  `IDfSysObject`
  `getObject()`
  Returns the original IDfSysObject before check in.
  `IDfId`
  `getObjectId()`
  Returns the original repository object ID for the IDfSysObject before check in.
  `boolean`
  `getRetainLock()`
  Returns true if the repository object for this node should keep the lock after check in.
  `String`
  `getVersionLabels()`
  Returns the symbolic version labels that will be applied when the node is checked in.
  `String`
  `getXMLApplicationName()`
  Returns the name of the XML application, if one was set, that will be applied to the document upon import.
  `boolean`
  `isEnabledOLELinksProcessing()`
  Returns true if OLE links processing is enabled
  `void`
  `setCheckinVersion(int checkinVersion)`
  Takes an integer indicating how versioning should be handled on check in.
  `void`
  `setContentPageNumber(int pageNumber)`
  Sets the content page number for the local content file of this object.
  `void`
  `setExternalVariable(String varName, String value)`
  Sets a variable that will be available to the XML application's configuration file as an <external_variable>.
  `void`
  `setFilePath(String newFilePath)`
  Sets the file path to use as the content for this object.
  `void`
  `setFormat(String formatName)`
  Sets the repository format name of the local content file for this object.
  `void`
  `setKeepLocalFile(boolean keepFile)`
  Sets a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
  `void`
  `setMacOption(int option)`
  Sets the Mac behavior options for this node.
  `void`
  `setMacResourceFilePath(String resourceForkFilePath)`
  Sets the path to the Macintosh resource fork file.
  `void`
  `setRetainLock(boolean retainLock)`
  Sets whether or not the repository object for this node should keep the lock after check in.
  `void`
  `setTemplate(IDfSysObject templateObject)`
  Sets the template to use when creating new object.
  `void`
  `setVersionLabels(String newVersionLabels)`
  Sets the symbolic version labels that will be applied when the node is checked in.
  `void`
  `setXMLApplicationName(String appName)`
  Sets the XML application name for the document being imported.

  ### Methods inherited from interface com.documentum.operations.IDfOperationNode

  `getChildren, getEdgeProperties, getId, getOperation, getParent, getPersistentProperties, getProperties, isRoot`

- ## Method Details

  - ### getObject

    IDfSysObject getObject() throws DfException
    Returns the original IDfSysObject before check in. Since an IDfSysObject represents a single object version, the IDfSysObject for the node may change as a result of the check in. This method returns the original sysobject added to the operation. May return null for objects being newly imported.
    Returns:
      original IDfSysObject before check in or null for import nodes.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`

  - ### getObjectId

    IDfId getObjectId() throws DfException
    Returns the original repository object ID for the IDfSysObject before check in. May return a null ID for objects being newly imported.
    Returns:
      original object ID before check in or null ID for import nodes.
    Throws:
      `DfException`
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getNewObject

    IDfSysObject getNewObject() throws DfException
    Returns the new IDfSysObject resulting from the check in. This may or may not be the same IDfSysObject originally added to the operation, depending on whether or not a "same version" check in was specified. Returns null if the check in step has not yet occurred.
    Returns:
      new IDfSysObject resulting from check in or null if check in has not yet occurred.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`

  - ### getNewObjectId

    IDfId getNewObjectId() throws DfException
    Returns the new repository object ID for the IDfSysObject resulting from the check in. May return a null ID if check in has not yet been performed.
    Returns:
      new object ID resulting from check in or null ID if check in not yet done.
    Throws:
      `DfException`
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getVersionLabels

    String getVersionLabels() throws DfException
    Returns the symbolic version labels that will be applied when the node is checked in. These labels do not include any implicit version labels (e.g. 1.0, 2.3), nor the symbolic label CURRENT.
    Returns:
      comma separated list of symbolic version labels.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject.getVersionLabel(int)`

  - ### setVersionLabels

    void setVersionLabels(String newVersionLabels) throws DfException
    Sets the symbolic version labels that will be applied when the node is checked in. These labels should NOT include any implicit version labels (e.g., 1.0), nor the symbolic label CURRENT.
    Parameters:
      `newVersionLabels` - comma separated list of symbolic version labels.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject.getVersionLabel(int)`

  - ### getFilePath

    String getFilePath() throws DfException
    Returns the content file path in the local file system for this node. Returns null if the node object does not have a local content file.
    Returns:
      the content file path in the local file system for this node.
    Throws:
      `DfException`

  - ### setFilePath

    void setFilePath(String newFilePath) throws DfException
    Sets the file path to use as the content for this object.
    Parameters:
      `newFilePath` - file path in the local file system.
    Throws:
      `DfException`

  - ### getFormat

    String getFormat() throws DfException
    Returns the repository format name for the local content file of this object.
    Returns:
      repository format name (e.g. msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`

  - ### getDefaultFormat

    String getDefaultFormat() throws DfException
    Returns the default repository format name for the local content file of this object. Uses format recognition to arrive at this value.
    Returns:
      repository format name (for example, msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfFormatRecognizer`
      - `IDfSysObject.getContentType()`

  - ### setFormat

    void setFormat(String formatName) throws DfException
    Sets the repository format name of the local content file for this object.
    Parameters:
      `formatName` - repository format name (for example, msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfFormatRecognizer`
      - `IDfSysObject.getContentType()`

  - ### getContentPageNumber

    int getContentPageNumber() throws DfException
    Returns the content page number for the local content file for this object.
    Returns:
      content page number for the local content file for this object.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject.setFileEx(java.lang.String, java.lang.String, int, java.lang.String)`

  - ### setContentPageNumber

    void setContentPageNumber(int pageNumber) throws DfException
    Sets the content page number for the local content file of this object.
    Parameters:
      `pageNumber` - content page number for the local content file of this object.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject.setFileEx(java.lang.String, java.lang.String, int, java.lang.String)`

  - ### getKeepLocalFile

    boolean getKeepLocalFile() throws DfException
    Returns a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
    Returns:
      if true, the local content file will not be deleted as part of the operation.
    Throws:
      `DfException`

  - ### setKeepLocalFile

    void setKeepLocalFile(boolean keepFile) throws DfException
    Sets a boolean value indicating whether or not the local content file should be preserved or deleted as part of the operation.
    Parameters:
      `keepFile` - if true the local content file will not be deleted as part of the operation.
    Throws:
      `DfException`

  - ### getRetainLock

    boolean getRetainLock() throws DfException
    Returns true if the repository object for this node should keep the lock after check in.
    Returns:
      true if the repository object lock will be retained after check in.
    Throws:
      `DfException`

  - ### setRetainLock

    void setRetainLock(boolean retainLock) throws DfException
    Sets whether or not the repository object for this node should keep the lock after check in.
    Parameters:
      `retainLock` - true to retain lock; false to release lock after check in.
    Throws:
      `DfException`

  - ### getCheckinVersion

    int getCheckinVersion() throws DfException
    Returns an integer indicating how versioning should be handled on check in.

        Possible values include:
                        -1 VERSION_NOT_SET - No version option has been specified yet for this node.
                        0  NEXT_MAJOR - Object will recieve the next major version number.
                        1  NEXT_MINOR - Object will recieve the next minor version number.
                        2  SAME_VERSION - The version number for the object will remain unchanged.
                        3  BRANCH_VERSION - A branch version number will be used for the object.

    Returns:
      value indicating how versioning will be handled on check in.
    Throws:
      `DfException`
    See Also:
      - `IDfVersionPolicy`

  - ### setCheckinVersion

    void setCheckinVersion(int checkinVersion) throws DfException
    Takes an integer indicating how versioning should be handled on check in.

        Possible values include:
                        -1 VERSION_NOT_SET - No version option has been specified yet for this node.
                        0  NEXT_MAJOR - Object will recieve the next major version number.
                        1  NEXT_MINOR - Object will recieve the next minor version number.
                        2  SAME_VERSION - The version number for the object will remain unchanged.
                        3  BRANCH_VERSION - A branch version number will be used for the object.

    Parameters:
      `checkinVersion` - VERSION_NOT_SET, NEXT_MAJOR, NEXT_MINOR, SAME_VERSION or BRANCH_VERSION.
    Throws:
      `DfException`
    See Also:
      - `IDfVersionPolicy`

  - ### setExternalVariable

    void setExternalVariable(String varName, String value) throws DfException
    Sets a variable that will be available to the XML application's configuration file as an <external_variable>.
    Here is an example of how the external variable is used in the XML configuration file:
    <external_variables>
    <external_variable>
    <name>CITY</name>
    <default>Vancouver</default>
    </external_variable>
    </external_variables>
    ...
    <metadata>
    <dctmattr>
    <name>city</name>
    <template><var name="CITY"/></template>
    </dctmattr>
    </metadata>
    If a variable is declared in the XMl configuration file, but is not set via setExternalVariable, the default value of the variable will be used.
    Parameters:
      `varName` - The name that the variable will be available as in the XMl configuration file.
      `value` - The value of the variable.
    Throws:
      `DfException`

  - ### getExternalVariable

    String getExternalVariable(String varName) throws DfException
    Returns the value of an external variable.
    Parameters:
      `varName` - The name of the external variable.
    Returns:
      The value of the variable.
    Throws:
      `DfException`

  - ### enableOLELinksProcessing

    void enableOLELinksProcessing(boolean shouldProcessOLELinks)
    Enables processing of OLE links. By default, OLE links processing is disabled.
    Parameters:
      `shouldProcessOLELinks` - true to enable OLE links processing, false otherwise.

  - ### isEnabledOLELinksProcessing

    boolean isEnabledOLELinksProcessing() throws DfException
    Returns true if OLE links processing is enabled
    Returns:
      true if OLE links processing is enabled, false otherwise. default return value is false.
    Throws:
      `DfException`

  - ### setTemplate

    void setTemplate(IDfSysObject templateObject)
    Sets the template to use when creating new object.
    Parameters:
      `templateObject` - The sys Object to be used as template object.

  - ### setMacResourceFilePath

    void setMacResourceFilePath(String resourceForkFilePath)
    Sets the path to the Macintosh resource fork file. It informs the operation from where to get the resource fork information to commit to the repository.
    Parameters:
      `resourceForkFilePath` - The path of the Macintosh resource fork file
    Since:
      DFC 5.2.5

  - ### getMacResourceFilePath

    String getMacResourceFilePath()
    Returns the file path to the resource fork.
    Returns:
      Returns the file path to the resource fork, null if no resource fork is available.
    Since:
      DFC 5.2.5

  - ### getMacOption

    int getMacOption()
    Returns the setting for Mac handling for this node.

        Possible values include:
                        IGNORE_RESOURCE_FORK - No resource fork will be stored in the repository, even
                                     if resource fork file path has been specified
                        USE_RESOURCE_FORK_IF_AVAILABLE - Resource fork will be set to the repository if supplied
                                               by the caller of the operation
                        REQUIRE_RESOURCE_FORK - Resource fork is required. An error will be generated if
                                      resource fork is not made available.
                        GENERATE_RESOURCE_FORK - A resource fork will be generated if it is not explicitly
                                       available.

    Returns:
      the setting for Mac handling for this node.If no mac option is set via setMacOption(), then RESOURCE_FORK_UNDEFINED will be returned.
    Since:
      DFC 5.2.5

  - ### setMacOption

    void setMacOption(int option)
    Sets the Mac behavior options for this node.

        Possible values include:
                        IGNORE_RESOURCE_FORK - No resource fork will be stored in the repository, even
                                     if resource fork file path has been specified
                        USE_RESOURCE_FORK_IF_AVAILABLE - Resource fork will be set to the repository if supplied
                                               by the caller of the operation
                        REQUIRE_RESOURCE_FORK - Resource fork is required. An error will be generated if
                                      resource fork is not made available.
                        GENERATE_RESOURCE_FORK - A resource fork will be generated if it is not explicitly
                                       available.

    Parameters:
      `option` - - possible values: IGNORE_RESOURCE_FORK, USE_RESOURCE_FORK_IF_AVAILABLE, REQUIRE_RESOURCE_FORK, GENERATE_RESOURCE_FORK.
    Since:
      DFC 5.2.5

  - ### setXMLApplicationName

    void setXMLApplicationName(String appName)
    Sets the XML application name for the document being imported. This XML application will be applied when the import operation is executed Set the XML application name to "Ignore" to bypass XML processing.
    Parameters:
      `appName` - The name of the XML application

  - ### getXMLApplicationName

    String getXMLApplicationName()
    Returns the name of the XML application, if one was set, that will be applied to the document upon import.
    Returns:
      The XML application name or null, if not set.